# Subato 2
Willkommen bei dem Repository des Backends und Frontends von Subato.

> **Hinweis**
> Die Dokumentation zu Subato befindet sich unter `docs`. Der Inhalt wird über das [subato-docs](https://gitlab.cs.hs-rm.de/sls/subato-docs) Repository zusammen mit der anderen Dokumentation zu Subato gehosted. In der Dokumentation wird [MDX](https://mdxjs.com/) verwendet. Weiterhin werden Variablen verwendet, die in [subato-docs](https://gitlab.cs.hs-rm.de/sls/subato-docs) organisiert werden.

Es gibt eine [Demo-Konfiguration](demo/README.md), mit der Subato über Docker lokal ausprobiert werden kann. Unter [CONTRIBUTING.md](CONTRIBUTING.md) befinden sich Informationen zur Einrichtung von IDEs/Editoren und Konventionen. Für die lokale Entwicklung müssen die Abhängigkeiten für Backend und Frontend installiert werden:

## Backend
- JDK 17 installieren
- Projekt in IDE laden, JDK konfigurieren
- Starten in `subato`-Verzeichnis: `./gradlew bootRun`

## Frontend
- NVM installieren (https://github.com/nvm-sh/nvm)
- Node.js v16 installieren: `nvm install 16`
- In `subato-web`: `nvm use 16`
- Erforderlich sind diverse build-Packages unter Linux (build-essentials, python 2 etc.)
- Pakete installieren in `subato-web` Verzeichnis: `npm i`
- Angular CLI mit NPM global installieren: `npm i @angular/cli@14.2.10 -g`
- Starten in `subato-web` Verzeichnis: `ng serve`