# Swagger
Die Swagger (und OpenAPI) Dokumentation wird mit [springdoc](https://springdoc.org/) erzeugt. Da das Tool mögliche Fehler von Endpunkten nicht korrekt abbilden kann, wurde die `@SubatoApiResponse` entwickelt. Endpunkte müssen mit dieser Annotation entsprechend annotiert werden um in Swagger die möglichen Fehler zu dokumentieren. Der `SubatoApiResponseCustomizer` setzt diese Annotationen in Swagger um und berücksichtigt dabei die [hier](errors.md) erwähnten Annotationen. 

Für die Dokumentation der Endpunkte und DTOs kann die [JavaDoc Unterstützung von springdoc](https://springdoc.org/v2/#javadoc-support) verwendet werden. Alternativ wird über die Annotationen `@Operation` und `@Parameter` dokumentiert.