import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ExerciseAssessmentPageComponent } from 'app/assessment/pages/exercise-assessment/exercise-assessment.page.component';
import { BreadcrumbsComponent } from 'app/assessment/pages/exercise-assessment/components/breadcrumbs/breadcrumbs.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { AssessmentSharedModule } from 'app/assessment/shared/assessment-shared.module';

@NgModule({
    declarations: [ExerciseAssessmentPageComponent, BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, SharedModule, AssessmentSharedModule],
})
export class ExerciseAssessmentPageModule {}
