import { Component, Input, OnInit } from '@angular/core';
import { TaskInstance } from 'app/exercises/models/task-instance';
import { Submission } from 'app/assessment/models/submission';

@Component({
    selector: 'sb-submission-points-display',
    templateUrl: './points-display.component.html',
    styleUrls: ['./points-display.component.scss'],
})
export class PointsDisplayComponent implements OnInit {
    @Input() taskInstance: TaskInstance;
    @Input() submission: Submission;

    constructor() {}

    ngOnInit(): void {}
}
