import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TaskInstanceAssessmentPageComponent } from 'app/assessment/pages/task-instance-assessment/task-instance-assessment.page.component';
import { BreadcrumbsComponent } from 'app/assessment/pages/task-instance-assessment/components/breadcrumbs/breadcrumbs.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { AssessmentSharedModule } from 'app/assessment/shared/assessment-shared.module';

@NgModule({
    declarations: [TaskInstanceAssessmentPageComponent, BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, SharedModule, AssessmentSharedModule],
})
export class TaskInstanceAssessmentPageModule {}
