import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmissionListComponent } from 'app/assessment/shared/components/submission-list/submission-list.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';

@NgModule({
    declarations: [SubmissionListComponent],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
    exports: [SubmissionListComponent],
})
export class AssessmentSharedModule {}
