import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { environment } from 'environments/environment';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-course-settings-form-allow-joining-units',
    templateUrl: './allow-joining-units.component.html',
    styleUrls: ['./allow-joining-units.component.scss'],
})
export class AllowJoiningUnitsComponent implements OnInit {
    @Input() form: UntypedFormGroup;
    docsUrls = this.docsService.urls;

    constructor(private docsService: DocsService) {}

    ngOnInit(): void {}
}
