import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { ModulesComponent } from 'app/courses/pages/course-settings/components/modules/modules.component';
import { CourseSettingsFormModule } from './components/course-settings-form/course-settings-form.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CourseSettingsPageComponent } from 'app/courses/pages/course-settings/course-settings.page.component';

@NgModule({
    declarations: [CourseSettingsPageComponent, ModulesComponent],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        CoursesSharedModule,
        CourseSettingsFormModule,
    ],
    exports: [],
})
export class CourseSettingsPageModule {}
