import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CourseUnitListComponent } from './components/course-unit-list/course-unit-list.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { BreadcrumbsComponent } from 'app/courses/pages/course-units/components/breadcrumbs/breadcrumbs.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CourseUnitsPageComponent } from 'app/courses/pages/course-units/course-units.page.component';
import { LabChangeWarningComponent } from './components/lab-change-warning/lab-change-warning.component';

@NgModule({
    declarations: [
        CourseUnitsPageComponent,
        CourseUnitListComponent,
        BreadcrumbsComponent,
        LabChangeWarningComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
    exports: [CourseUnitListComponent],
})
export class CourseUnitsPageModule {}
