import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ModuleMultiselectComponent } from './components/module-multiselect/module-multiselect.component';
import { CourseTemplateListComponent } from './components/course-template-list/course-template-list.component';
import { RouterModule } from '@angular/router';
import { TemplateStepComponent } from './components/template-step/template-step.component';
import { GeneralStepComponent } from './components/general-step/general-step.component';
import { ModulesStepComponent } from 'app/courses/pages/new-course/components/modules-step/modules-step.component';
import { NewCoursePageComponent } from 'app/courses/pages/new-course/new-course.page.component';

@NgModule({
    declarations: [
        NewCoursePageComponent,
        ModuleMultiselectComponent,
        CourseTemplateListComponent,
        TemplateStepComponent,
        GeneralStepComponent,
        ModulesStepComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class NewCoursePageModule {}
