import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ParticipantProgressPageComponent } from 'app/courses/pages/participant-progress/participant-progress.page.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { AttendancesSharedModule } from 'app/attendances/shared/attendances-shared.module';

@NgModule({
    declarations: [ParticipantProgressPageComponent],
    imports: [
        CommonModule,
        SharedModule,
        CoursesSharedModule,
        AttendancesSharedModule,
    ],
    exports: [],
})
export class ParticipantProgressPageModule {}
