import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BreadcrumbsComponent } from 'app/exercises/pages/exercise-admin/new-exercise/components/breadcrumbs/breadcrumbs.component';
import { ExerciseFormModule } from 'app/exercises/pages/exercise-admin/exercise-form/exercise-form.module';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { NewExercisePageComponent } from 'app/exercises/pages/exercise-admin/new-exercise/new-exercise.page.component';

@NgModule({
    declarations: [NewExercisePageComponent, BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, SharedModule, ExerciseFormModule],
})
export class NewExercisePageModule {}
