import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ExerciseListComponent } from './components/exercise-list/exercise-list.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { BreadcrumbsComponent } from 'app/exercises/pages/exercises/components/breadcrumbs/breadcrumbs.component';
import { ExercisesPageComponent } from 'app/exercises/pages/exercises/exercises.page.component';

@NgModule({
    declarations: [
        ExercisesPageComponent,
        ExerciseListComponent,
        BreadcrumbsComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class ExercisesPageModule {}
