import { Component, Input, OnInit } from '@angular/core';
import { environment } from 'environments/environment';
import { TaskInstance } from '../../../../models/task-instance';
import { Client } from 'app/solutions/models/client';

@Component({
    selector: 'sb-submit-solution-plugin-import',
    templateUrl: './plugin-import.component.html',
    styleUrls: ['./plugin-import.component.scss'],
})
export class PluginImportComponent implements OnInit {
    @Input() taskInstance: TaskInstance | null;

    Client = Client;
    selectedPlugin: Client = Client.IntelliJPlugin;

    constructor() {}

    get availablePlugins(): Client[] {
        return [Client.IntelliJPlugin];
    }

    ngOnInit(): void {}
}
