import { Component, Input, OnInit } from '@angular/core';
import { TaskInstance } from 'app/exercises/models/task-instance';
import { Submission } from 'app/assessment/models/submission';

@Component({
    selector: 'sb-submit-solution-task-instance-card',
    templateUrl: './task-instance-card.component.html',
    styleUrls: ['./task-instance-card.component.scss'],
})
export class TaskInstanceCardComponent implements OnInit {
    @Input() taskInstance: TaskInstance;
    @Input() content: string;
    @Input() submission: Submission;

    constructor() {}

    ngOnInit(): void {}
}
