import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LandingPageComponent } from 'app/landing/landing.page.component';

export const routes: Routes = [
    {
        path: 'about',
        component: LandingPageComponent,
        pathMatch: 'full',
    },
    {
        path: '',
        component: LandingPageComponent,
        pathMatch: 'full',
    },
];

@NgModule({
    exports: [RouterModule],
})
export class LandingRoutingModule {}
