import { Component } from '@angular/core';

@Component({
    selector: 'sb-layout-three-columns',
    styleUrls: ['./three-columns.layout.scss'],
    template: `
        <nb-layout windowMode>
            <nb-layout-header fixed>
                <sb-layout-header></sb-layout-header>
            </nb-layout-header>

            <nb-sidebar class="menu-sidebar" tag="menu-sidebar" responsive>
                <ng-content select="nb-menu"></ng-content>
            </nb-sidebar>

            <nb-layout-column class="small"></nb-layout-column>

            <nb-layout-column>
                <ng-content select="router-outlet"></ng-content>
            </nb-layout-column>

            <nb-layout-column class="small"></nb-layout-column>

            <nb-layout-footer fixed>
                <sb-layout-footer></sb-layout-footer>
            </nb-layout-footer>
        </nb-layout>
    `,
})
export class ThreeColumnsLayoutComponent {}
