import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { CompetencesPageComponent } from 'app/misconceptions/pages/competences/competences.page.component';
import { HeaderComponent } from 'app/misconceptions/pages/competences/components/header/header.component';
import { CompetenceGroupsComponent } from 'app/misconceptions/pages/competences/components/competence-groups/competence-groups.component';
import { CompetenceCardComponent } from 'app/misconceptions/pages/competences/components/competence-card/competence-card.component';

@NgModule({
    declarations: [
        CompetencesPageComponent,
        HeaderComponent,
        CompetenceGroupsComponent,
        CompetenceCardComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class CompetencesPageModule {}
