import { Component, Input, OnInit } from '@angular/core';
import { NbStepChangeEvent } from '@nebular/theme';
import { Misconception } from 'app/misconceptions/models/misconception';

@Component({
    selector: 'sb-misconception-content-wizard',
    templateUrl: './content-wizard.component.html',
    styleUrls: ['./content-wizard.component.scss'],
})
export class ContentWizardComponent implements OnInit {
    @Input() misconception: Misconception;
    selectedIndex: number = 0;

    constructor() {}

    ngOnInit(): void {}

    stepChanged(event: NbStepChangeEvent) {
        this.selectedIndex = event.index;
    }
}
