import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { NewTermPageComponent } from 'app/modules/pages/term-admin/new-term/new-term.page.component';
import { TermsPageComponent } from 'app/modules/pages/terms/terms.page.component';
import { EditTermPageComponent } from 'app/modules/pages/term-admin/edit-term/edit-term.page.component';

export const routes: Routes = [
    {
        path: 'term',
        component: TermsPageComponent,
        data: {
            authRequired: true,
        },
    },
    {
        path: 'term/new',
        component: NewTermPageComponent,
        data: {
            authRequired: true,
        },
    },
    {
        path: 'term/:term_id/edit',
        component: EditTermPageComponent,
        data: {
            authRequired: true,
        },
    },
];

@NgModule({
    exports: [RouterModule],
})
export class ModulesRoutingModule {}
