import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProfilePageComponent } from 'app/profile/profile.page.component';

export const routes: Routes = [
    {
        path: 'profile',
        component: ProfilePageComponent,
        data: {
            authRequired: true,
        },
    },
];

@NgModule({
    exports: [RouterModule],
})
export class ProfileRoutingModule {}
