import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ProfileRoutingModule } from 'app/profile/profile-routing.module';
import { AuthSharedModule } from 'app/auth/shared/auth-shared.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { ProfilePageComponent } from 'app/profile/profile.page.component';
import { ProfileFormComponent } from './components/profile-form/profile-form.component';

@NgModule({
    declarations: [ProfilePageComponent, ProfileFormComponent],
    imports: [
        CommonModule,
        SharedModule,
        ProfileRoutingModule,
        AuthSharedModule,
        CoursesSharedModule,
    ],
})
export class ProfilePageModule {}
