import { Exercise } from 'app/exercises/models/exercise';
import { Item } from './item';

export class ExerciseItem extends Item {
    exercise: Exercise;

    constructor(item: any, searchResult: any) {
        super(item, searchResult);
        this.exercise = new Exercise(item.exercise);
    }

    url(): string {
        return `/exercises/${this.exercise.id}`;
    }

    title(): string {
        return this.exercise.name;
    }

    subtitle(): string {
        return `Übung`;
    }
}
