export class Item {
    type: string;
    group?: string;

    searchResult: any;

    constructor(item: any, searchResult: any) {
        this.type = item.type;
        this.group = item.group;
        this.searchResult = searchResult;
    }

    url(): string {
        throw 'unknown item, url() not supported';
    }

    queryParams() {
        return {};
    }

    title(): string {
        throw 'unknown item, title() not supported';
    }

    subtitle(): string {
        throw 'unknown item, subtitle() not supported';
    }
}
