import { TaskInstance } from 'app/exercises/models/task-instance';
import { Item } from './item';

export class TaskInstanceItem extends Item {
    taskInstance: TaskInstance;

    constructor(item: any, searchResult: any) {
        super(item, searchResult);
        this.taskInstance = new TaskInstance(item.task);
    }

    url(): string {
        return `/exercises/${this.taskInstance.exercise.id}/tasks/${this.taskInstance.task.id}`;
    }

    title(): string {
        return this.taskInstance.task.name;
    }

    subtitle(): string {
        return 'Aufgabe';
    }
}
