import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';

@Component({
    selector: 'sb-max-upload-size-note',
    templateUrl: './max-upload-size-note.component.html',
    styleUrls: ['./max-upload-size-note.component.scss'],
})
export class MaxUploadSizeNoteComponent implements OnInit {
    config$ = this.store.select((s) => s.config.config);

    constructor(private store: Store<SubatoState>) {}

    ngOnInit(): void {}
}
