export class EnumHelper {
    public static getAll<TEnum>(type: TEnum): TEnum[] {
        return Object.values(type)
            .filter((v) => typeof v === 'number')
            .map((v) => v as TEnum);
    }
}
