import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BaseComponent } from './base.component';
import { RouterModule } from '@angular/router';
import { CustomRouterLinkDirective } from './directives/custom-link/custom-router-link.directive';

@NgModule({
    declarations: [BaseComponent, CustomRouterLinkDirective],
    imports: [CommonModule, RouterModule],
    exports: [BaseComponent, CustomRouterLinkDirective],
})
export class MiscModule {}
