import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableFormatPipe } from 'app/shared/rich-content/table-format.pipe';
import { RichContentComponent } from 'app/shared/rich-content/rich-content.component';
import { CodemirrorModule } from 'app/shared/codemirror/codemirror.module';
import { KatexModule } from '@sls/ng-katex';
import { LoadingModule } from 'app/shared/loading/loading.module';

@NgModule({
    declarations: [TableFormatPipe, RichContentComponent],
    imports: [CommonModule, CodemirrorModule, KatexModule, LoadingModule],
    exports: [TableFormatPipe, RichContentComponent],
})
export class RichContentModule {}
