import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UserPickerComponent } from './user-picker/user-picker.component';
import { NebularModule } from '../nebular.module';
import { UserNamePipe } from './user-name.pipe';
import { FormalUserNamePipe } from 'app/shared/user/formal-user-name.pipe';

@NgModule({
    declarations: [UserPickerComponent, UserNamePipe, FormalUserNamePipe],
    imports: [CommonModule, NebularModule],
    exports: [UserPickerComponent, UserNamePipe, FormalUserNamePipe],
})
export class UserModule {}
