import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { BulkEvalState } from 'app/solutions/models/bulk-eval-state';

@Component({
    selector: 'sb-exercise-acceptance-detached-hint',
    templateUrl: './detached-hint.component.html',
    styleUrls: ['./detached-hint.component.scss'],
})
export class DetachedHintComponent implements OnInit {
    @Input() state: BulkEvalState;
    @Input() canReset: boolean;
    @Input() resetting: boolean;
    @Output() resetRequested: EventEmitter<void> = new EventEmitter<void>();

    constructor() {}

    ngOnInit(): void {}

    reset() {
        this.resetRequested.emit();
    }
}
