import { Component } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
    templateUrl: './restart-dialog.component.html',
    styleUrls: ['./restart-dialog.component.scss'],
})
export class RestartDialogComponent {
    constructor(protected ref: NbDialogRef<RestartDialogComponent>) {}

    cancel() {
        this.ref.close();
    }

    confirm(reset: boolean) {
        this.ref.close({
            reset: reset,
        });
    }
}
