import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FeedbackComponent } from 'app/solutions/pages/solution/components/feedback/feedback.component';

import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { HeaderComponent } from 'app/solutions/pages/solution/components/header/header.component';
import { BreadcrumbsComponent } from 'app/solutions/pages/solution/components/breadcrumbs/breadcrumbs.component';
import { InvalidHintComponent } from 'app/solutions/pages/solution/components/invalid-hint/invalid-hint.component';
import { SolutionPageComponent } from 'app/solutions/pages/solution/solution.page.component';
import { SolutionsSharedModule } from 'app/solutions/shared/solutions-shared.module';

@NgModule({
    declarations: [
        SolutionPageComponent,
        FeedbackComponent,
        HeaderComponent,
        BreadcrumbsComponent,
        InvalidHintComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, SolutionsSharedModule],
    exports: [],
})
export class SolutionPageModule {}
