import { Injectable, ViewContainerRef } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Observable, of } from 'rxjs';
import { NothingViewerComponent } from 'app/solutions/shared/solution-ide/viewer/nothing-viewer/nothing-viewer.component';

@Injectable({
    providedIn: 'root',
})
export class NothingViewerFactory extends BaseComponent {
    constructor() {
        super();
    }

    createViewer(containerRef: ViewContainerRef): Observable<void> {
        containerRef.createComponent<NothingViewerComponent>(
            NothingViewerComponent
        );
        return of(null);
    }
}
