import { Component, Input, OnInit } from '@angular/core';
import { SubatoError } from 'app/shared/error/error';
import { GlobalErrorHandler } from 'app/shared/error/global-error-handler';

@Component({
    selector: 'sb-submit-solution-form-submit-error',
    templateUrl: './submit-error.component.html',
    styleUrls: ['./submit-error.component.scss'],
})
export class SubmitErrorComponent implements OnInit {
    @Input() error: SubatoError;

    constructor(public errorHandler: GlobalErrorHandler) {}

    ngOnInit(): void {}
}
