import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { SolutionsRoutingModule } from './solutions-routing.module';
import { AngularSplitModule } from 'angular-split';
import { SolutionsSharedModule } from 'app/solutions/shared/solutions-shared.module';
import { SolutionPageModule } from 'app/solutions/pages/solution/solution.page.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        SharedModule,
        SolutionsSharedModule,
        SolutionPageModule,
        SolutionsRoutingModule,
        AngularSplitModule,
    ],
    exports: [],
})
export class SolutionsModule {}
