import { Component, OnInit } from '@angular/core';
import { NewLanguagePageStore } from 'app/tasks/pages/language-admin/new-language/new-language.page.store';
import { CreateLanguageDto } from 'app/tasks/dto/create-language.dto';

@Component({
    templateUrl: './new-language.page.component.html',
    styleUrls: ['./new-language.page.component.scss'],
    providers: [NewLanguagePageStore],
})
export class NewLanguagePageComponent implements OnInit {
    validationError$ = this.newLanguageStore.validationError$;
    saving$ = this.newLanguageStore.saving$;

    constructor(private newLanguageStore: NewLanguagePageStore) {}

    ngOnInit(): void {}

    createLanguage(dto: CreateLanguageDto) {
        this.newLanguageStore.createLanguage(dto);
    }
}
