import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { EditTaskPoolPageComponent } from 'app/tasks/pages/task-pool-admin/edit-task-pool/edit-task-pool.page.component';
import { BreadcrumbsComponent } from 'app/tasks/pages/task-pool-admin/edit-task-pool/components/breadcrumbs/breadcrumbs.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { TaskPoolFormModule } from 'app/tasks/pages/task-pool-admin/task-pool-form/task-pool-form.module';

@NgModule({
    declarations: [EditTaskPoolPageComponent, BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, SharedModule, TaskPoolFormModule],
})
export class EditTaskPoolPageModule {}
