import { Component, Input, OnInit } from '@angular/core';
import { TaskPool } from 'app/tasks/models/task-pool';
import { environment } from 'environments/environment';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-task-pool-repo-hint',
    templateUrl: './repo-hint.component.html',
    styleUrls: ['./repo-hint.component.scss'],
})
export class RepoHintComponent implements OnInit {
    @Input() taskPool: TaskPool;
    docsUrls = this.docsService.urls;

    constructor(private docsService: DocsService) {}

    ngOnInit(): void {}
}
