import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { TaskPoolListStore } from 'app/tasks/pages/task-pools/components/task-pool-list/task-pool-list.store';

@Component({
    selector: 'sb-task-pools-task-pool-list',
    templateUrl: './task-pool-list.component.html',
    styleUrls: ['./task-pool-list.component.scss'],
    providers: [TaskPoolListStore],
})
export class TaskPoolListComponent extends BaseComponent implements OnInit {
    poolsState$ = this.taskPoolListStore.poolsState;

    constructor(private taskPoolListStore: TaskPoolListStore) {
        super();
    }

    ngOnInit(): void {
        this.taskPoolListStore.loadPools();
    }
}
