import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TaskPoolListComponent } from 'app/tasks/pages/task-pools/components/task-pool-list/task-pool-list.component';
import { TaskPoolsPageComponent } from 'app/tasks/pages/task-pools/task-pools.page.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';

@NgModule({
    declarations: [TaskPoolsPageComponent, TaskPoolListComponent],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class TaskPoolsPageModule {}
