import { Component, Input, OnInit, TemplateRef } from '@angular/core';
import { Task } from 'app/tasks/models/task';
import { BaseComponent } from 'app/shared/misc/base.component';

@Component({
    selector: 'sb-task-card',
    templateUrl: './task-card.component.html',
    styleUrls: ['./task-card.component.scss'],
})
export class TaskCardComponent extends BaseComponent implements OnInit {
    @Input() task: Task;
    @Input() content: string;

    @Input()
    tagsTpl: TemplateRef<any>;

    constructor() {
        super();
    }

    ngOnInit(): void {}
}
