import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { TasksRoutingModule } from './tasks-routing.module';
import { LanguagesPageModule } from 'app/tasks/pages/languages/languages-page.module';
import { TaskPoolPageModule } from 'app/tasks/pages/task-pool/task-pool.page.module';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';
import { TaskPageModule } from 'app/tasks/pages/task/task.page.module';
import { EditLanguagePageModule } from 'app/tasks/pages/language-admin/edit-language/edit-language.page.module';
import { NewLanguagePageModule } from 'app/tasks/pages/language-admin/new-language/new-language.page.module';
import { NewTaskPoolPageModule } from 'app/tasks/pages/task-pool-admin/new-task-pool/new-task-pool.page.module';
import { EditTaskPoolPageModule } from 'app/tasks/pages/task-pool-admin/edit-task-pool/edit-task-pool.page.module';
import { TaskPoolsPageModule } from 'app/tasks/pages/task-pools/task-pools.page.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        SharedModule,
        TasksSharedModule,
        TasksRoutingModule,
        EditLanguagePageModule,
        NewLanguagePageModule,
        LanguagesPageModule,
        TaskPageModule,
        NewTaskPoolPageModule,
        EditTaskPoolPageModule,
        TaskPoolPageModule,
        TaskPoolsPageModule,
    ],
})
export class TasksModule {}
