import { environment as common } from 'environments/environment.common';
import { SUBATO_DARK_THEME, SUBATO_THEME } from 'app/layout/layout.module';

export const environment = {
    ...common,
    production: true,

    // override configuration from environment.common.ts here

    lightTheme: SUBATO_THEME,
    darkTheme: SUBATO_DARK_THEME,

    images: {
        logo: {
            light: '/assets/images/logo.png',
            dark: '/assets/images/logo_dark.png',
        },
        logoSmall: {
            light: '/assets/images/logo_small.png',
            dark: '/assets/images/logo_small_dark.png',
        },
    },
};
