package de.hsrm.sls.subato.aor.term.repository;

import de.hsrm.sls.subato.aor.term.dto.TermData;
import de.hsrm.sls.subato.aor.term.model.TermDataImport;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface TermDataImportRepository extends JpaRepository<TermDataImport, Long>,
    TermDataImportRepositoryCustom {

    Optional<TermDataImport> findFirstByTermIdOrderByImportedAtDesc(long termId);

    Optional<TermDataImport> findFirstByTermData(TermData termData);
}
