package de.hsrm.sls.subato.assessment.progress.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "type")
@JsonSubTypes({
    @JsonSubTypes.Type(value = NullAssessmentProgress.class, name = "null"),
    @JsonSubTypes.Type(value = BinaryAssessmentProgress.class, name = "binary"),
    @JsonSubTypes.Type(value = PointsAssessmentProgress.class, name = "points")
})
public class AssessmentProgress {

}
