package de.hsrm.sls.subato.assessment.submission.model;

import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import java.io.Serializable;
import java.util.Objects;

public class SubmissionPointRatingPK implements Serializable {

    private Submission submission;
    private TaskInstance taskInstance;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SubmissionPointRatingPK that = (SubmissionPointRatingPK) o;
        return submission.equals(that.submission) && taskInstance.equals(that.taskInstance);
    }

    @Override
    public int hashCode() {
        return Objects.hash(submission, taskInstance);
    }
}
