package de.hsrm.sls.subato.assessment.submission.repository;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import java.util.Comparator;

public class SubmissionSort {

    public static Comparator<Submission> bySubmittedBy() {
        return Comparator.comparing(
            (Submission submission) -> submission.getSubmittedBy().getLastName(),
            Comparator.nullsLast(String::compareTo)).thenComparing(
            (Submission submission) -> submission.getSubmittedBy().getFirstName(),
            Comparator.nullsLast(String::compareTo));
    }
}
