package de.hsrm.sls.subato.assessment.submission.usecase;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Die Übung ist nicht bepunktet")
public class ExerciseNotUsingPointsException extends RuntimeException {

    private long exerciseId;

    public ExerciseNotUsingPointsException(long exerciseId) {
        this.exerciseId = exerciseId;
    }

    @Override
    public String getMessage() {
        return "taskId = %s".formatted(exerciseId);
    }
}