package de.hsrm.sls.subato.attendances.attendance.dto;

import de.hsrm.sls.subato.courses.event.dto.CourseUnitEventSummaryDto;
import de.hsrm.sls.subato.courses.unit.dto.CourseUnitDto;
import de.hsrm.sls.subato.user.dto.UserDetailDto;
import java.util.List;

public class ParticipantAttendanceDetailDto {

    private UserDetailDto user;
    private CourseUnitDto courseUnit;
    private List<CourseUnitEventSummaryDto> events;
    private List<AttendanceDto> eventAttendances;
    private boolean active;
    private Long possibleSum;
    private Long presentSum;

    public UserDetailDto getUser() {
        return user;
    }

    public void setUser(UserDetailDto user) {
        this.user = user;
    }

    public List<AttendanceDto> getEventAttendances() {
        return eventAttendances;
    }

    public void setEventAttendances(List<AttendanceDto> eventAttendances) {
        this.eventAttendances = eventAttendances;
    }

    public Long getPossibleSum() {
        return possibleSum;
    }

    public void setPossibleSum(Long possibleSum) {
        this.possibleSum = possibleSum;
    }

    public Long getPresentSum() {
        return presentSum;
    }

    public void setPresentSum(Long presentSum) {
        this.presentSum = presentSum;
    }

    public CourseUnitDto getCourseUnit() {
        return courseUnit;
    }

    public void setCourseUnit(CourseUnitDto courseUnit) {
        this.courseUnit = courseUnit;
    }

    public List<CourseUnitEventSummaryDto> getEvents() {
        return events;
    }

    public void setEvents(List<CourseUnitEventSummaryDto> events) {
        this.events = events;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }
}
