package de.hsrm.sls.subato.auth.oauth;

public class ClaimConstants {

    // General purpose Keycloak claims
    public static final String USERNAME = "preferred_username";
    public static final String EMAIL = "email";
    public static final String FIRST_NAME = "given_name";
    public static final String LAST_NAME = "family_name";
    public static final String REALM_ACCESS = "realm_access";
    public static final String ROLES = "roles";

    // Subato claims
    public static final String ALIAS = "alias";
    public static final String STUDENT_INFO = "student_info";
}
