package de.hsrm.sls.subato.auth.websocket;

import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import java.util.function.Supplier;
import org.springframework.security.core.Authentication;

public class AuthenticationHelper {

    public static SubatoPrincipal getPrincipalFrom(Supplier<Authentication> authentication) {
        var principal = authentication.get().getPrincipal();
        return principal instanceof SubatoPrincipal ? (SubatoPrincipal) principal : null;
    }
}
