package de.hsrm.sls.subato.courses.event;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Termin existiert nicht.")
public class CourseUnitEventNotFoundException extends RuntimeException {

    private long id;

    public CourseUnitEventNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}