package de.hsrm.sls.subato.courses.result.dto;

import de.hsrm.sls.subato.assessment.submission.dto.SubmissionMapper;
import de.hsrm.sls.subato.courses.result.model.CourseResult;
import de.hsrm.sls.subato.exercises.exercise.dto.ExerciseMapper;
import de.hsrm.sls.subato.exercises.taskinstance.dto.TaskInstanceMapper;
import de.hsrm.sls.subato.solutions.solution.dto.SolutionMapper;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring", uses = {SubmissionMapper.class, SolutionMapper.class,
    ExerciseMapper.class, TaskInstanceMapper.class})
public interface CourseResultMapper {

    CourseResultDto map(CourseResult result);
}
