package de.hsrm.sls.subato.courses.staff.event;

import de.hsrm.sls.subato.courses.staff.model.CourseStaffMembership;
import org.springframework.context.ApplicationEvent;

public class CourseStaffMembershipRemovedEvent extends ApplicationEvent {

    private CourseStaffMembership membership;

    public CourseStaffMembershipRemovedEvent(Object source, CourseStaffMembership membership) {
        super(source);
        this.membership = membership;
    }

    public CourseStaffMembership getMembership() {
        return membership;
    }
}
