package de.hsrm.sls.subato.courses.staff.model;

import java.io.Serializable;
import java.util.Objects;

public class CourseStaffMembershipPK implements Serializable {

    private StaffGroup group;

    private Long course;

    private Long user;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CourseStaffMembershipPK that = (CourseStaffMembershipPK) o;
        return group == that.group && Objects.equals(course, that.course) && Objects.equals(user,
            that.user);
    }

    @Override
    public int hashCode() {
        return Objects.hash(group, course, course);
    }
}
