package de.hsrm.sls.subato.courses.unit.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Kurseinheit existiert nicht")
public class CourseUnitNotFoundException extends RuntimeException {

    private long id;

    public CourseUnitNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}