package de.hsrm.sls.subato.courses.unit.repository;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.event.model.CourseUnitEvent;
import de.hsrm.sls.subato.courses.unit.model.CourseUnit;
import de.hsrm.sls.subato.user.User;
import java.util.List;

interface CourseUnitRepositoryCustom {

    boolean isParticipant(CourseUnit unit, User user);

    User getParticipant(CourseUnit unit, long userId);

    List<User> getParticipants(CourseUnit unit, String query);

    List<CourseUnit> getParticipatingUnits(Course course, User user);

    List<CourseUnit> getLecturingUnits(User user, Course course);

    List<CourseUnitEvent> getEvents(CourseUnit unit);

    List<CourseUnit> findByCourse(Course course);
}
