package de.hsrm.sls.subato.modules.progmodule;

import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface ProgramModuleRepository extends JpaRepository<ProgramModule, Long>,
    JpaSpecificationExecutor<ProgramModule> {

    ProgramModule findBySupplementId(Long supplementId);

    List<ProgramModule> findBySupplementIdIn(Iterable<Long> supplementIds);

    boolean existsBySupplementId(Long supplementId);
}