package de.hsrm.sls.subato.modules.program;

import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface DegreeProgramRepository extends JpaRepository<DegreeProgram, Long> {

    DegreeProgram findByPosCodeAndPoYear(String posCode, int poYear);

    boolean existsBySupplementId(long supplementId);

    Optional<DegreeProgram> findBySupplementId(long supplementId);
}