package de.hsrm.sls.subato.modules.term;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Das Semester existiert nicht.")
public class TermNotFoundException extends RuntimeException {

    private long id;

    public TermNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}