package de.hsrm.sls.subato.search;

import de.hsrm.sls.subato.search.item.Item;
import java.util.List;

public class SearchResult {

    private String query;
    private List<Item> items;

    public SearchResult(String query, List<Item> items) {
        this.items = items;
        this.query = query;
    }

    public List<Item> getItems() {
        return items;
    }

    public String getQuery() {
        return query;
    }
}
