package de.hsrm.sls.subato.seed;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

// gradle bootRun --args='seed:seed ./subato-seed'
@Component
class SeedRunner implements CommandLineRunner {

    @Autowired
    SeedUseCase seedUseCase;

    @Override
    public void run(String... args) {
        if (args.length < 1 || !args[0].equals("seed:seed")) {
            return;
        }

        seedUseCase.seed(args[1]);

        System.exit(0);
    }
}
