package de.hsrm.sls.subato.seed.logic.course;

import de.hsrm.sls.subato.courses.course.model.CourseVisibility;
import de.hsrm.sls.subato.courses.course.model.SubmitPolicy;
import java.util.ArrayList;
import java.util.List;

final class CourseSeed {

    private Long id;
    private String name;
    private String shortName;
    private String motd;
    private CourseVisibility visibility;
    private SubmitPolicy submitPolicy;
    private boolean showEmails;
    private Long sourceId;
    private Long termId;
    private List<Long> moduleIds = new ArrayList<>();
    private List<CourseStaffMembershipSeed> staffMemberships = new ArrayList<>();
    private List<CourseUnitSeed> units = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMotd() {
        return motd;
    }

    public void setMotd(String motd) {
        this.motd = motd;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public CourseVisibility getVisibility() {
        return visibility;
    }

    public void setVisibility(CourseVisibility visibility) {
        this.visibility = visibility;
    }

    public SubmitPolicy getSubmitPolicy() {
        return submitPolicy;
    }

    public void setSubmitPolicy(SubmitPolicy submitPolicy) {
        this.submitPolicy = submitPolicy;
    }

    public boolean isShowEmails() {
        return showEmails;
    }

    public void setShowEmails(boolean showEmails) {
        this.showEmails = showEmails;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public Long getTermId() {
        return termId;
    }

    public void setTermId(Long termId) {
        this.termId = termId;
    }

    public List<Long> getModuleIds() {
        return moduleIds;
    }

    public void setModuleIds(List<Long> moduleIds) {
        this.moduleIds = moduleIds;
    }

    public List<CourseStaffMembershipSeed> getStaffMemberships() {
        return staffMemberships;
    }

    public void setStaffMemberships(
        List<CourseStaffMembershipSeed> staffMemberships) {
        this.staffMemberships = staffMemberships;
    }

    public List<CourseUnitSeed> getUnits() {
        return units;
    }

    public void setUnits(List<CourseUnitSeed> units) {
        this.units = units;
    }
}
