package de.hsrm.sls.subato.shared;


import jakarta.persistence.criteria.CriteriaBuilder;
import jakarta.persistence.criteria.Expression;
import jakarta.persistence.criteria.Predicate;
import java.util.Optional;

public class QueryPredicates {

    public static Predicate ignoreCaseContains(CriteriaBuilder cb, Optional<String> q,
        Expression<String> path) {
        return q.isPresent() ? cb.like(cb.lower(path), "%" + q.get().toLowerCase() + "%") : null;
    }
}