package de.hsrm.sls.subato.shared.config;

import com.fasterxml.jackson.databind.Module;
import de.hsrm.sls.subato.auth.masking.MaskingModule;
import de.hsrm.sls.subato.auth.principal.PrincipalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;

@Configuration
public class JacksonConfig {

    @Bean
    public Module maskingModule(@Autowired @Lazy PrincipalService principalService) {
        return new MaskingModule(principalService);
    }
}
