package de.hsrm.sls.subato.shared.error.response;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * See {@link Error}
 */
public enum ErrorCode {
    VALIDATION_FAILURE,
    DANGEROUS_ACTION,
    UNSUPPORTED_API_VERSION,
    PLUGIN_UPGRADE_REQUIRED;

    @JsonValue
    public int toValue() {
        return ordinal();
    }
}
