package de.hsrm.sls.subato.shared.helper;

import de.hsrm.sls.subato.auth.Role;
import java.util.Map;

public class KeycloakRoleMapper {

    private static final Map<String, Role> roleMapping = Map.of(
        "superadmin", Role.SuperAdmin,
        "staff", Role.Staff,
        "student", Role.Student
    );

    public static Role getRole(String identifier) {
        return roleMapping.getOrDefault(identifier, null);
    }
}