package de.hsrm.sls.subato.shared.springext.hm;

import java.util.List;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * See {@link NullableHandlerMethodArgumentResolver}
 */
@Configuration
public class HandlerMethodFixConfig implements WebMvcConfigurer {

    @Override
    public void addArgumentResolvers(
        List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(new NullableHandlerMethodArgumentResolver());
    }
}
