package de.hsrm.sls.subato.shared.swagger;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Wrapper annotation for handling multiple {@link SubatoApiResponse} annotations on the same
 * method.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface SubatoApiResponses {

    SubatoApiResponse[] value();
}