package de.hsrm.sls.subato.solutions.evaluation.bulk.state.dto;

import de.hsrm.sls.subato.solutions.evaluation.bulk.state.BulkEvalLog;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class BulkEvalStateDto {

    private long exerciseId;
    private List<TaskInstanceStateDto> taskInstanceStates = new ArrayList<>();
    private boolean running;
    private boolean possiblyOutdated;
    private boolean detached;

    private long processed;
    private long errors;
    private long total;
    private long successful;

    private List<BulkEvalLog> logs;

    private LocalDateTime initializedAt;
    private LocalDateTime lastUpdatedAt;

    public long getExerciseId() {
        return exerciseId;
    }

    public void setExerciseId(long exerciseId) {
        this.exerciseId = exerciseId;
    }

    public List<TaskInstanceStateDto> getTaskInstanceStates() {
        return taskInstanceStates;
    }

    public void setTaskInstanceStates(
        List<TaskInstanceStateDto> taskInstanceStates) {
        this.taskInstanceStates = taskInstanceStates;
    }

    public boolean isRunning() {
        return running;
    }

    public void setRunning(boolean running) {
        this.running = running;
    }

    public boolean isPossiblyOutdated() {
        return possiblyOutdated;
    }

    public void setPossiblyOutdated(boolean possiblyOutdated) {
        this.possiblyOutdated = possiblyOutdated;
    }

    public boolean isDetached() {
        return detached;
    }

    public void setDetached(boolean detached) {
        this.detached = detached;
    }

    public long getProcessed() {
        return processed;
    }

    public void setProcessed(long processed) {
        this.processed = processed;
    }

    public long getErrors() {
        return errors;
    }

    public void setErrors(long errors) {
        this.errors = errors;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public long getSuccessful() {
        return successful;
    }

    public void setSuccessful(long successful) {
        this.successful = successful;
    }

    public List<BulkEvalLog> getLogs() {
        return logs;
    }

    public void setLogs(List<BulkEvalLog> logs) {
        this.logs = logs;
    }

    public LocalDateTime getInitializedAt() {
        return initializedAt;
    }

    public void setInitializedAt(LocalDateTime initializedAt) {
        this.initializedAt = initializedAt;
    }

    public LocalDateTime getLastUpdatedAt() {
        return lastUpdatedAt;
    }

    public void setLastUpdatedAt(LocalDateTime lastUpdatedAt) {
        this.lastUpdatedAt = lastUpdatedAt;
    }
}
