package de.hsrm.sls.subato.solutions.evaluation.request;

import de.hsrm.sls.subato.solutions.evaluation.result.EvalState;
import de.hsrm.sls.subato.solutions.solution.model.Solution;

public class EvalResponse {

    private EvalState state;
    private Solution solution;

    public EvalResponse(EvalState state, Solution solution) {
        this.state = state;
        this.solution = solution;
    }

    public EvalState getState() {
        return state;
    }

    public EvalResponse setState(EvalState state) {
        this.state = state;
        return this;
    }

    public Solution getSolution() {
        return solution;
    }

    public EvalResponse setSolution(Solution solution) {
        this.solution = solution;
        return this;
    }
}
