package de.hsrm.sls.subato.solutions.solution;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Lösung existiert nicht.")
public class SolutionNotFoundException extends RuntimeException {

    private long id;

    public SolutionNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}