package de.hsrm.sls.subato.solutions.solution.dto;


import de.hsrm.sls.subato.assessment.submission.dto.SubmissionSummaryDto;
import de.hsrm.sls.subato.exercises.exercise.dto.ExerciseDto;
import de.hsrm.sls.subato.solutions.evaluation.result.dto.EvalStateSummaryDto;
import de.hsrm.sls.subato.solutions.solution.model.Client;
import de.hsrm.sls.subato.tasks.task.dto.TaskDto;
import de.hsrm.sls.subato.user.dto.UserSummaryDto;
import java.time.LocalDateTime;

public class SolutionSummaryDto {

    private long id;
    private UserSummaryDto submittedBy;
    private LocalDateTime submittedAt;
    private ExerciseDto exercise;
    private TaskDto task;
    private EvalStateSummaryDto evalState;
    private EvalStateSummaryDto acceptanceEvalState;
    private boolean delayed;
    private boolean attemptsExceeded;
    private SubmissionSummaryDto submission;
    private int commentsCount;
    private Client submittedWith;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public UserSummaryDto getSubmittedBy() {
        return submittedBy;
    }

    public void setSubmittedBy(UserSummaryDto submittedBy) {
        this.submittedBy = submittedBy;
    }

    public LocalDateTime getSubmittedAt() {
        return submittedAt;
    }

    public void setSubmittedAt(LocalDateTime submittedAt) {
        this.submittedAt = submittedAt;
    }

    public EvalStateSummaryDto getEvalState() {
        return evalState;
    }

    public void setEvalState(EvalStateSummaryDto evalState) {
        this.evalState = evalState;
    }

    public boolean isDelayed() {
        return delayed;
    }

    public void setDelayed(boolean delayed) {
        this.delayed = delayed;
    }

    public boolean isAttemptsExceeded() {
        return attemptsExceeded;
    }

    public void setAttemptsExceeded(boolean attemptsExceeded) {
        this.attemptsExceeded = attemptsExceeded;
    }

    public SubmissionSummaryDto getSubmission() {
        return submission;
    }

    public void setSubmission(SubmissionSummaryDto submission) {
        this.submission = submission;
    }

    public int getCommentsCount() {
        return commentsCount;
    }

    public void setCommentsCount(int commentsCount) {
        this.commentsCount = commentsCount;
    }

    public Client getSubmittedWith() {
        return submittedWith;
    }

    public void setSubmittedWith(Client submittedWith) {
        this.submittedWith = submittedWith;
    }

    public ExerciseDto getExercise() {
        return exercise;
    }

    public void setExercise(ExerciseDto exercise) {
        this.exercise = exercise;
    }

    public TaskDto getTask() {
        return task;
    }

    public void setTask(TaskDto task) {
        this.task = task;
    }

    public EvalStateSummaryDto getAcceptanceEvalState() {
        return acceptanceEvalState;
    }

    public void setAcceptanceEvalState(
        EvalStateSummaryDto acceptanceEvalState) {
        this.acceptanceEvalState = acceptanceEvalState;
    }
}
