package de.hsrm.sls.subato.solutions.submit;

import de.hsrm.sls.subato.solutions.solution.model.Solution;
import org.springframework.context.ApplicationEvent;

public class SolutionSubmittedEvent extends ApplicationEvent {

    private Solution solution;

    public SolutionSubmittedEvent(Object source, Solution solution) {
        super(source);
        this.solution = solution;
    }

    public Solution getSolution() {
        return solution;
    }
}
