package de.hsrm.sls.subato.solutions.submit;

import de.hsrm.sls.subato.solutions.solution.model.Client;

/**
 * Represents a solution submitted as file
 */
public class SubmitFileSolutionDto {

    private Long exerciseId;
    private long taskId;
    private String comment;
    private boolean lateSubmit;
    private Client submittedWith;

    SubmitFileSolutionDto() {
    }

    public Long getExerciseId() {
        return exerciseId;
    }

    public void setExerciseId(Long exerciseId) {
        this.exerciseId = exerciseId;
    }

    public long getTaskId() {
        return taskId;
    }

    public void setTaskId(long taskId) {
        this.taskId = taskId;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public boolean isLateSubmit() {
        return lateSubmit;
    }

    public void setLateSubmit(boolean lateSubmit) {
        this.lateSubmit = lateSubmit;
    }

    public Client getSubmittedWith() {
        return submittedWith;
    }

    public void setSubmittedWith(Client submittedWith) {
        this.submittedWith = submittedWith;
    }
}
