package de.hsrm.sls.subato.tasks.imp;

import de.hsrm.sls.subato.tasks.pool.TaskPool;
import org.springframework.context.ApplicationEvent;

public class PreTaskImportEvent extends ApplicationEvent {

    private TaskPool pool;

    public PreTaskImportEvent(Object source, TaskPool pool) {
        super(source);
        this.pool = pool;
    }

    public TaskPool getPool() {
        return pool;
    }
}

