package de.hsrm.sls.subato.tasks.lang.dto;

import de.hsrm.sls.subato.tasks.lang.Language;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

@Mapper(componentModel = "spring")
public interface LanguageMapper {

    @Named("map")
    @Mapping(target = "taskCount", ignore = true)
    LanguageDto map(Language language);

    @Mapping(target = "taskCount", expression = "java(language.getTasks().size())")
    LanguageDto mapWithCount(Language language);
}
