package de.hsrm.sls.subato.tasks.pool.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Der Aufgaben-Pool existiert nicht")
public class TaskPoolNotFoundException extends RuntimeException {

    private long id;

    public TaskPoolNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}