package de.hsrm.sls.subato.tasks.stef.spec;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * {@see} STEF specification
 */
public enum SubmissionModeType {
    FILE(Constants.FILE),
    TEXT(Constants.TEXT);

    SubmissionModeType(String value) {
        this.value = value;
    }

    private final String value;

    @JsonValue
    public String toValue() {
        return value;
    }

    public static class Constants {

        public static final String FILE = "FILE";
        public static final String TEXT = "TEXT";
    }
}
