package de.hsrm.sls.subato.tasks.task.dto;

import de.hsrm.sls.subato.tasks.lang.dto.LanguageMapper;
import de.hsrm.sls.subato.tasks.pool.dto.TaskPoolMapper;
import de.hsrm.sls.subato.tasks.task.Task;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring", uses = {LanguageMapper.class, TaskPoolMapper.class})
public interface TaskMapper {

    @Mapping(target = "attempts", source = "specCache.spec.meta.attempts")
    @Mapping(target = "description", source = "specCache.spec.meta.description")
    @Mapping(target = "competences", source = "specCache.spec.meta.competences")
    @Mapping(target = "language", qualifiedByName = "map")
    TaskDto map(Task task);
}
