package de.hsrm.sls.subato.user;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Du hast zu oft deine Meinung geändert. Bitte melde dich persönlich bei uns, wenn du deine Entscheidung ändern möchtest.")
public class ConsentChangedTooOftenException extends RuntimeException {

}