package de.hsrm.sls.subato.user.repository;

import de.hsrm.sls.subato.user.User;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface UserRepository extends JpaRepository<User, Long>, JpaSpecificationExecutor<User>,
    UserRepositoryCustom {

    Optional<User> findByLoginNameIgnoreCase(String loginName);

    Optional<User> findByMailIgnoreCase(String mail);
}