import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { AssessmentRoutingModule } from 'app/assessment/routing/assessment-routing.module';
import { ExerciseAssessmentPageModule } from 'app/assessment/pages/exercise-assessment/exercise-assessment.page.module';
import { TaskInstanceAssessmentPageModule } from 'app/assessment/pages/task-instance-assessment/task-instance-assessment.page.module';
import { SubmissionPageModule } from 'app/assessment/pages/submission/submission.page.module';
import { AssessmentSharedModule } from 'app/assessment/shared/assessment-shared.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        AssessmentSharedModule,
        AssessmentRoutingModule,
        ExerciseAssessmentPageModule,
        TaskInstanceAssessmentPageModule,
        SubmissionPageModule,
        AssessmentSharedModule,
    ],
})
export class AssessmentModule {}
