import { AssessmentProgress } from 'app/assessment/models/assessment-progress';

export class PointsAssessmentProgress extends AssessmentProgress {
    total: number;
    fullyRatedTotal: number;

    constructor(dto: any) {
        super(dto);
        this.total = dto.total;
        this.fullyRatedTotal = dto.fullyRatedTotal;
    }

    get progress() {
        return this.total != 0
            ? (this.fullyRatedTotal / this.total) * 100
            : 100;
    }
}
