import { Component } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';
import { Submission } from 'app/assessment/models/submission';

@Component({
    templateUrl: './decision-dialog.component.html',
    styleUrls: ['./decision-dialog.component.scss'],
})
export class DecisionDialogComponent {
    submission: Submission;

    constructor(protected ref: NbDialogRef<DecisionDialogComponent>) {}

    cancel() {
        this.ref.close({
            cancel: true,
        });
    }

    setPassed(passed: boolean | null) {
        this.ref.close({
            passed: passed,
        });
    }
}
