import { Component, Input, OnInit } from '@angular/core';
import { TaskInstance } from 'app/exercises/models/task-instance';
import { Submission } from 'app/assessment/models/submission';
import { TaskContentState } from 'app/exercises/shared/operators/task-content.operators';

@Component({
    selector: 'sb-submission-task-instance-accordion',
    templateUrl: './task-instance-accordion.component.html',
    styleUrls: ['./task-instance-accordion.component.scss'],
})
export class TaskInstanceAccordionComponent implements OnInit {
    @Input() taskInstance: TaskInstance;
    @Input() submission: Submission;
    @Input() taskContentState: TaskContentState;

    constructor() {}

    ngOnInit(): void {}
}
