import { Weekday } from './weekday';
import * as moment from 'moment';

export class CourseUnitEventDefinition {
    id: number;
    weekday: Weekday;
    room: string;
    time: moment.Moment;

    constructor(eventDef: any) {
        this.id = eventDef.id;
        this.weekday = eventDef.weekday;
        this.room = eventDef.room;
        this.time = moment(eventDef.time, ['HH:mm:ss'], true);
    }
}
