import { Iso8601Helper } from 'app/shared/misc/helper/iso8601.helper';
import * as moment from 'moment';

export class CourseUnitEvent {
    id: number;
    takesPlaceAt: moment.Moment;
    holiday: boolean;

    constructor(event: any) {
        this.id = event.id;
        this.takesPlaceAt = Iso8601Helper.fromString(event.takesPlaceAt);
        this.holiday = event.holiday;
    }
}
