import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { UploadComponent } from 'app/courses/pages/course-files/components/upload/upload.component';
import { CourseFileListComponent } from './components/course-file-list/course-file-list.component';
import { RouterModule } from '@angular/router';
import { CourseFilesPageComponent } from 'app/courses/pages/course-files/course-files.page.component';

@NgModule({
    declarations: [
        CourseFilesPageComponent,
        UploadComponent,
        CourseFileListComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class CourseFilesPageModule {}
