import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ParticipantListComponent } from 'app/courses/pages/course-participants/components/participant-list/participant-list.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { CourseParticipantsPageComponent } from 'app/courses/pages/course-participants/course-participants.page.component';

@NgModule({
    declarations: [CourseParticipantsPageComponent, ParticipantListComponent],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class CourseParticipantsPageModule {}
