import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { StaffFormComponent } from 'app/courses/pages/course-permissions/components/staff-form/staff-form.component';
import { AddStaffDialogComponent } from 'app/courses/pages/course-permissions/components/add-staff-dialog/add-staff-dialog.component';
import { RouterModule } from '@angular/router';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CoursePermissionsPageComponent } from 'app/courses/pages/course-permissions/course-permissions.page.component';

@NgModule({
    declarations: [
        CoursePermissionsPageComponent,
        StaffFormComponent,
        AddStaffDialogComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
})
export class CoursePermissionsPageModule {}
