import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CourseUnitEventListComponent } from 'app/courses/pages/course-unit-admin/components/course-unit-event-list/course-unit-event-list.component';
import { ParticipantListComponent } from 'app/courses/pages/course-unit-admin/components/participant-list/participant-list.component';
import { AddParticipantDialogComponent } from 'app/courses/pages/course-unit-admin/components/add-participant-dialog/add-participant-dialog.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { BreadcrumbsComponent } from 'app/courses/pages/course-unit-admin/components/breadcrumbs/breadcrumbs.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CourseUnitAdminPageComponent } from 'app/courses/pages/course-unit-admin/course-unit-admin.page.component';

@NgModule({
    declarations: [
        CourseUnitAdminPageComponent,
        CourseUnitEventListComponent,
        ParticipantListComponent,
        AddParticipantDialogComponent,
        BreadcrumbsComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
})
export class CourseUnitAdminPageModule {}
