import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { ParticipantListComponent } from 'app/courses/pages/course-unit/components/participant-list/participant-list.component';
import { BreadcrumbsComponent } from 'app/courses/pages/course-unit/components/breadcrumbs/breadcrumbs.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CourseUnitPageComponent } from 'app/courses/pages/course-unit/course-unit.page.component';
import { AttendancesSharedModule } from 'app/attendances/shared/attendances-shared.module';

@NgModule({
    declarations: [
        ParticipantListComponent,
        CourseUnitPageComponent,
        BreadcrumbsComponent,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        AttendancesSharedModule,
        CoursesSharedModule,
    ],
})
export class CourseUnitPageModule {}
