import { Component, Input, OnInit } from '@angular/core';
import { CourseParticipantProfile } from 'app/auth/models/principal/course-participant-profile';
import { PublicConfig } from 'app/shared/config/public-config';

@Component({
    selector: 'sb-course-units-lab-change-warning',
    templateUrl: './lab-change-warning.component.html',
    styleUrls: ['./lab-change-warning.component.scss'],
})
export class LabChangeWarningComponent implements OnInit {
    @Input() profile: CourseParticipantProfile;
    @Input() config: PublicConfig;

    constructor() {}

    ngOnInit(): void {}
}
