import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { CourseCardComponent } from './components/course-card/course-card.component';
import { ProgramGroupsComponent } from './components/program-groups/program-groups.component';
import { CoursesPageComponent } from 'app/courses/pages/courses/courses.page.component';

@NgModule({
    declarations: [
        CoursesPageComponent,
        CourseCardComponent,
        ProgramGroupsComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class CoursesPageModule {}
