import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';

export const templateFormValidator: ValidatorFn = (
    control: AbstractControl
): ValidationErrors | null => {
    const useTemplate = control.get('useTemplate').value;
    const courseId = control.get('course').value?.id;

    return useTemplate && courseId == null ? { courseMissing: true } : null;
};
