import { Component, Input, OnInit } from '@angular/core';
import { CourseResult } from 'app/courses/models/course-result';
import { ExerciseResult } from 'app/courses/models/exercise-result';

@Component({
    selector: 'sb-course-result-table',
    templateUrl: './course-result-table.component.html',
    styleUrls: ['./course-result-table.component.scss'],
})
export class CourseResultTableComponent implements OnInit {
    @Input() courseResult: CourseResult;
    @Input() exerciseResults: ExerciseResult[] = [];

    constructor() {}

    ngOnInit(): void {}
}
