import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BinaryAssessmentStatsComponent } from 'app/courses/shared/course-result/components/binary-assessment-stats/binary-assessment-stats.component';
import { CourseResultFilterComponent } from 'app/courses/shared/course-result/components/course-result-filter/course-result-filter.component';
import { CourseResultTableModule } from 'app/courses/shared/course-result/components/course-result-table/course-result-table.module';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { CourseResultTabComponent } from 'app/courses/shared/course-result/components/course-result-tab/course-result-tab.component';

@NgModule({
    declarations: [
        BinaryAssessmentStatsComponent,
        CourseResultFilterComponent,
        CourseResultTabComponent,
    ],
    imports: [
        CommonModule,
        SharedModule,
        RouterModule,
        CourseResultTableModule,
    ],
    exports: [
        BinaryAssessmentStatsComponent,
        CourseResultFilterComponent,
        CourseResultTableModule,
        CourseResultTabComponent,
    ],
})
export class CourseResultModule {}
