import { Pipe, PipeTransform } from '@angular/core';
import { SubmitPolicy } from 'app/courses/models/submit-policy';

@Pipe({
    name: 'submitPolicyLabel',
})
export class SubmitPolicyLabelPipe implements PipeTransform {
    transform(value: SubmitPolicy): unknown {
        switch (value) {
            case SubmitPolicy.Everyone:
                return 'Alle';
            case SubmitPolicy.Participants:
                return 'Nur Teilnehmer';
            default:
                return value;
        }
    }
}
