import { Action } from '@ngrx/store';
import { Course } from '../models/course';

export enum CourseActions {
    ChangeCourse = '[Course] Change Course',
}

export class ChangeCourse implements Action {
    readonly type = CourseActions.ChangeCourse;

    constructor(public payload: { course: Course }) {}
}

export type CourseActionsUnion = ChangeCourse;
