import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DashboardPageComponent } from 'app/dashboard/dashboard.page.component';

export const routes: Routes = [
    {
        path: 'dashboard',
        component: DashboardPageComponent,
        data: {
            authRequired: true,
        },
    },
];

@NgModule({
    exports: [RouterModule],
})
export class DashboardRoutingModule {}
