import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { SubmitSolutionPageModule } from 'app/exercises/pages/submit-solution/submit-solution-page.module';
import { ExercisesPageModule } from 'app/exercises/pages/exercises/exercises.page.module';
import { ExercisePageModule } from 'app/exercises/pages/exercise/exercise.page.module';
import { NewExercisePageModule } from 'app/exercises/pages/exercise-admin/new-exercise/new-exercise.page.module';
import { EditExercisePageModule } from 'app/exercises/pages/exercise-admin/edit-exercise/edit-exercise.page.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        SharedModule,
        ExercisesSharedModule,
        NewExercisePageModule,
        EditExercisePageModule,
        ExercisePageModule,
        ExercisesPageModule,
        SubmitSolutionPageModule,
    ],
    exports: [],
})
export class ExercisesModule {}
