import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BreadcrumbsComponent } from 'app/exercises/pages/exercise-admin/edit-exercise/components/breadcrumbs/breadcrumbs.component';
import { ExerciseFormModule } from 'app/exercises/pages/exercise-admin/exercise-form/exercise-form.module';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { EditExercisePageComponent } from 'app/exercises/pages/exercise-admin/edit-exercise/edit-exercise.page.component';

@NgModule({
    declarations: [EditExercisePageComponent, BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, SharedModule, ExerciseFormModule],
})
export class EditExercisePageModule {}
