import { Component } from '@angular/core';
import { environment } from 'environments/environment';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-layout-footer',
    styleUrls: ['./footer.component.scss'],
    templateUrl: './footer.component.html',
})
export class FooterComponent {
    version = environment.version;
    docsUrls = this.docsService.urls;

    constructor(private docsService: DocsService) {}
}
