import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MisconceptionPageComponent } from 'app/misconceptions/pages/misconception/misconception.page.component';
import { MisconceptionsPageComponent } from 'app/misconceptions/pages/misconceptions/misconceptions.page.component';
import { CompetencesPageComponent } from 'app/misconceptions/pages/competences/competences.page.component';

export const routes: Routes = [
    {
        path: 'competence',
        component: CompetencesPageComponent,
        data: {
            reuseRoute: true,
        },
    },
    {
        path: 'misconception/:misconception_id',
        component: MisconceptionPageComponent,
        data: {
            reuseRoute: true,
        },
    },
    {
        path: 'misconception',
        component: MisconceptionsPageComponent,
        data: {
            reuseRoute: true,
        },
    },
];

@NgModule({
    exports: [RouterModule],
})
export class MisconceptionsRoutingModule {}
