import { Concept } from 'app/misconceptions/models/concept';

export class Competence {
    id: string;
    name: string;
    concepts: Concept[];

    constructor(dto: any) {
        this.id = dto.id;
        this.name = dto.name;
        this.concepts = dto.concepts
            ? dto.concepts.map((c) => new Concept(c))
            : [];
    }
}
