import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
    selector: 'sb-misconception-info-hint',
    templateUrl: './info-hint.component.html',
    styleUrls: ['./info-hint.component.scss'],
})
export class InfoHintComponent implements OnInit {
    @Input() liked: boolean;
    @Output() likedChange = new EventEmitter<boolean>();

    constructor() {}

    ngOnInit(): void {}

    rate(val: boolean) {
        this.likedChange.emit(val);
    }
}
