import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TermsPageComponent } from 'app/modules/pages/terms/terms.page.component';
import { TermListComponent } from 'app/modules/pages/terms/components/term-list/term-list.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';

@NgModule({
    declarations: [TermsPageComponent, TermListComponent],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class TermsPageModule {}
