import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';
import { ProfileStore } from 'app/profile/profile-store';

@Component({
    templateUrl: './profile.page.component.html',
    styleUrls: ['./profile.page.component.scss'],
    providers: [ProfileStore],
})
export class ProfilePageComponent extends BaseComponent implements OnInit {
    loading$ = this.profileStore.loading$;
    //error$ = this.dashboardStore.error$;

    principal$ = this.profileStore.principal$;

    constructor(
        private store: Store<SubatoState>,
        private profileStore: ProfileStore
    ) {
        super();
    }

    ngOnInit(): void {}
}
