import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { BackNavigationEffects } from './store/effects';
import { backNavigationReducer } from './store/reducers';
import { RouterModule } from '@angular/router';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        RouterModule,
        StoreModule.forFeature('backNav', backNavigationReducer),
        EffectsModule.forFeature([BackNavigationEffects]),
    ],
})
export class BackNavigationModule {}
