import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BreadcrumbsComponent } from './breadcrumbs.component';
import { RouterModule } from '@angular/router';
import { NebularModule } from '../nebular.module';

@NgModule({
    declarations: [BreadcrumbsComponent],
    imports: [CommonModule, RouterModule, NebularModule],
    exports: [BreadcrumbsComponent],
})
export class BreadcrumbModule {}
