import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ConfirmationDialogComponent } from 'app/shared/dialogs/confirmation-dialog/confirmation-dialog.component';
import { NebularModule } from '../nebular.module';
import { ExplicitConfirmationDialogComponent } from './explicit-confirmation-dialog/explicit-confirmation-dialog.component';

@NgModule({
    declarations: [ConfirmationDialogComponent, ExplicitConfirmationDialogComponent],
    imports: [CommonModule, NebularModule],
    exports: [ConfirmationDialogComponent],
})
export class DialogsModule {}
