import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ErrorAlertComponent } from './error-alert/error-alert.component';
import { ErrorContainerComponent } from './error-container/error-container.component';
import { RouterModule } from '@angular/router';
import { NebularModule } from '../nebular.module';
import { LetModule } from '@ngrx/component';
import { ErrorComponent } from 'app/shared/error/error/error.component';

@NgModule({
    declarations: [
        ErrorAlertComponent,
        ErrorContainerComponent,
        ErrorComponent,
    ],
    imports: [CommonModule, RouterModule, NebularModule, LetModule],
    exports: [ErrorAlertComponent, ErrorContainerComponent, ErrorComponent],
})
export class ErrorModule {}
