import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { locationReducer } from './store/reducers';
import { LocationEffects } from './store/effects';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        StoreModule.forFeature('location', locationReducer),
        EffectsModule.forFeature([LocationEffects]),
    ],
})
export class LocationModule {}
