import { ParamMap } from '@angular/router';

export class ParamHelper {
    public static parseIdOrThrow(paramMap: ParamMap, key: string): number {
        let val = Number(paramMap.get(key));
        if (Number.isNaN(val)) {
            throw `${key} not found in params`;
        }

        return val;
    }
}
