import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import {
    NbAccordionModule,
    NbActionsModule,
    NbAlertModule,
    NbAutocompleteModule,
    NbBadgeModule,
    NbButtonModule,
    NbCardModule,
    NbCheckboxModule,
    NbContextMenuModule,
    NbDatepickerModule,
    NbFormFieldModule,
    NbIconModule,
    NbInputModule,
    NbLayoutModule,
    NbListModule,
    NbMenuModule,
    NbPopoverModule,
    NbProgressBarModule,
    NbSearchModule,
    NbSelectModule,
    NbSidebarModule,
    NbSpinnerModule,
    NbStepperModule,
    NbTabsetModule,
    NbTagModule,
    NbTimepickerModule,
    NbToggleModule,
    NbTooltipModule,
    NbTreeGridModule,
    NbUserModule,
} from '@nebular/theme';
import { NbEvaIconsModule } from '@nebular/eva-icons';
import { NbSecurityModule } from '@nebular/security';
import { NbMomentDateModule } from '@nebular/moment';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        HttpClientModule,
        RouterModule,
        NbAlertModule,
        NbEvaIconsModule,
        NbStepperModule,
        NbPopoverModule,
        NbSecurityModule,
        NbContextMenuModule,
        NbSidebarModule,
        NbSearchModule,
        NbTabsetModule,
        NbActionsModule,
        NbUserModule,
        NbMenuModule,
        NbLayoutModule,
        NbCardModule,
        NbIconModule,
        NbInputModule,
        NbBadgeModule,
        NbListModule,
        NbButtonModule,
        NbTagModule,
        NbAccordionModule,
        NbProgressBarModule,
        NbTooltipModule,
        FormsModule,
        ReactiveFormsModule,
        NbDatepickerModule,
        NbTimepickerModule,
        NbMomentDateModule,
        NbToggleModule,
        NbSpinnerModule,
        NbTreeGridModule,
        NbFormFieldModule,
        NbAutocompleteModule,
        DragDropModule,
    ],
    exports: [
        HttpClientModule,
        NbAlertModule,
        NbCardModule,
        NbIconModule,
        NbInputModule,
        NbBadgeModule,
        NbListModule,
        NbButtonModule,
        NbAccordionModule,
        FormsModule,
        ReactiveFormsModule,
        NbDatepickerModule,
        NbTimepickerModule,
        NbMomentDateModule,
        NbSelectModule,
        NbTabsetModule,
        NbToggleModule,
        NbCheckboxModule,
        NbSpinnerModule,
        NbFormFieldModule,
        NbEvaIconsModule,
        NbSecurityModule,
        NbContextMenuModule,
        NbSidebarModule,
        NbSearchModule,
        NbActionsModule,
        NbUserModule,
        NbMenuModule,
        NbLayoutModule,
        NbProgressBarModule,
        NbStepperModule,
        NbAutocompleteModule,
        NbTagModule,
        NbPopoverModule,
        NbTreeGridModule,
        NbTooltipModule,
        DragDropModule,
    ],
})
export class NebularModule {}
