import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TrustUrlPipe } from './pipes/trust-url.pipe';
import { TrustResourceUrlPipe } from './pipes/trust-resource-url.pipe';
import { TrustStylePipe } from './pipes/trust-style.pipe';
import { TrustHtmlPipe } from './pipes/trust-html.pipe';

@NgModule({
    declarations: [
        TrustUrlPipe,
        TrustResourceUrlPipe,
        TrustStylePipe,
        TrustHtmlPipe,
    ],
    imports: [CommonModule],
    exports: [
        TrustUrlPipe,
        TrustResourceUrlPipe,
        TrustStylePipe,
        TrustHtmlPipe,
    ],
})
export class TrustModule {}
