import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
    name: 'fn',
})
export class FnPipe implements PipeTransform {
    transform(input: any, fn: Function): any {
        if (!fn) {
            return input;
        }

        return fn(input);
    }
}
