import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {
    NgJoinPipeModule,
    NgMapPipeModule,
    NgPluckPipeModule,
    NgRoundPipeModule,
    NgWherePipeModule,
} from 'angular-pipes';
import { FnPipe } from './fn.pipe';
import { PropPipe } from './prop.pipe';

@NgModule({
    declarations: [FnPipe, PropPipe],
    imports: [
        CommonModule,

        NgJoinPipeModule,
        NgPluckPipeModule,
        NgWherePipeModule,
        NgRoundPipeModule,
        NgMapPipeModule,
    ],
    exports: [
        NgJoinPipeModule,
        NgPluckPipeModule,
        NgWherePipeModule,
        NgRoundPipeModule,
        NgMapPipeModule,

        FnPipe,
        PropPipe,
    ],
})
export class UtilPipesModule {}
