import { Component, Input, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { ValidationEntry } from 'app/shared/validation/form.component';

@Component({
    selector: 'sb-validation-summary',
    templateUrl: './validation-summary.component.html',
    styleUrls: ['./validation-summary.component.scss'],
})
export class ValidationSummaryComponent
    extends BaseComponent
    implements OnInit
{
    @Input() errors: ValidationEntry[] = [];

    constructor() {
        super();
    }

    ngOnInit(): void {}
}
