import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ValidationHintComponent } from './validation-hint/validation-hint.component';
import { ValidationSummaryComponent } from './validation-summary/validation-summary.component';
import { RouterModule } from '@angular/router';
import { NebularModule } from '../nebular.module';

@NgModule({
    declarations: [ValidationHintComponent, ValidationSummaryComponent],
    imports: [CommonModule, RouterModule, NebularModule],
    exports: [ValidationHintComponent, ValidationSummaryComponent],
})
export class ValidationModule {}
