import { Pipe, PipeTransform } from '@angular/core';
import { Client } from 'app/solutions/models/client';

@Pipe({
    name: 'clientLabel',
})
export class ClientLabelPipe implements PipeTransform {
    transform(value: Client): unknown {
        switch (value) {
            case Client.IntelliJPlugin:
                return 'IntelliJ';
            case Client.EclipsePlugin:
                return 'Eclipse';
            case Client.Web:
                return 'Web';
            default:
                return value;
        }
    }
}
