import { Iso8601Helper } from 'app/shared/misc/helper/iso8601.helper';
import * as moment from 'moment';

export class TaskPool {
    id: number;
    name: string;
    description: string;
    repositoryUrl: string;
    repositoryBranch: string;
    linkedToRepository: boolean;
    lastChecked: moment.Moment;
    lastUpdated: moment.Moment;

    constructor(pool: any) {
        this.id = pool.id;
        this.name = pool.name;
        this.description = pool.description;
        this.repositoryUrl = pool.repositoryUrl;
        this.repositoryBranch = pool.repositoryBranch;
        this.linkedToRepository = pool.linkedToRepository;
        this.lastChecked = Iso8601Helper.fromString(pool.lastChecked);
        this.lastUpdated = Iso8601Helper.fromString(pool.lastUpdated);
    }
}
