import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { LanguageListComponent } from 'app/tasks/pages/languages/components/language-list/language-list.component';
import { LanguagesPageComponent } from 'app/tasks/pages/languages/languages.page.component';

@NgModule({
    declarations: [LanguagesPageComponent, LanguageListComponent],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class LanguagesPageModule {}
