import { Component, OnInit } from '@angular/core';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-new-task-pool-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnInit {
    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnInit(): void {
        this.buildBreadcrumbs();
    }

    buildBreadcrumbs() {
        this.breadcrumbs = [
            {
                id: 'pools',
            },
            {
                id: 'newPool',
            },
        ];
    }
}
