import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { PageHeaderAction } from 'app/shared/page-header/page-header/page-header.component';

@Component({
    templateUrl: './task-pools.page.component.html',
    styleUrls: ['./task-pools.page.component.scss'],
})
export class TaskPoolsPageComponent extends BaseComponent implements OnInit {
    actions: PageHeaderAction[] = this.buildActions();

    constructor() {
        super();
    }

    ngOnInit(): void {}

    buildActions(): PageHeaderAction[] {
        return [
            {
                name: 'Neuer Pool',
                icon: 'plus-outline',
                link: {
                    commands: ['new'],
                },
                status: 'primary',
            },
        ];
    }
}
