import { Pipe, PipeTransform } from '@angular/core';
import { SubmissionMode } from 'app/tasks/models/submission-mode';

@Pipe({
    name: 'submissionModeLabel',
})
export class SubmissionModeLabelPipe implements PipeTransform {
    transform(value: SubmissionMode): unknown {
        switch (value) {
            case SubmissionMode.FILE:
                return 'Datei';
            case SubmissionMode.TEXT:
                return 'Editor';
            default:
                return value;
        }
    }
}
