import {
    SUBATO_TEST_DARK_THEME,
    SUBATO_TEST_THEME,
} from 'app/layout/layout.module';

export const environment = {
    version: '4.0.2',
    production: false,
    debounceTimeMs: 500,

    taskPoolRepoBaseUrl: `https://gitlab.cs.hs-rm.de/sls/subato-aufgaben`,
    cardelliUrl:
        'https://procomp.cs.hs-rm.de/subatoItemServer/cardelliWeb/index.html',

    docsUrl: 'https://docs.subato.cs.hs-rm.de',
    backendUrl: 'http://localhost:8081',
    keycloakUrl: 'http://kc.subato.local:8080',
    keycloakRealm: 'Demo',
    wsUrl: 'ws://localhost:8081/subatows',
    jevalUrl: 'http://localhost:5080',

    lightTheme: SUBATO_TEST_THEME,
    darkTheme: SUBATO_TEST_DARK_THEME,

    images: {
        logo: {
            light: '/assets/images/test/logo.png',
            dark: '/assets/images/test/logo_dark.png',
        },
        logoSmall: {
            light: '/assets/images/test/logo_small.png',
            dark: '/assets/images/test/logo_small_dark.png',
        },
    },
};
