package de.hsrm.sls.subato.aor.term.usecase;

import de.hsrm.sls.subato.aor.core.dto.ModulePart;
import de.hsrm.sls.subato.courses.unit.model.CourseUnitType;

class CourseUnitTypeConverter {

    public CourseUnitType convert(ModulePart.CourseType courseType) {
        switch (courseType.getMatchcode()) {
            case "P":
                return CourseUnitType.Lab;
            case "Ü":
                return CourseUnitType.Exercise;
            case "V":
                return CourseUnitType.Lecture;
            case "T":
                return CourseUnitType.Tut;
        }

        return null;
    }
}
