package de.hsrm.sls.subato.assessment.submission;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Abgabe existiert nicht")
public class SubmissionNotFoundException extends RuntimeException {

    private long id;

    public SubmissionNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}