package de.hsrm.sls.subato.assessment.submission.repository;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.user.User;
import java.util.List;

interface SubmissionRepositoryCustom {

    List<Submission> findAll(SubmissionQuery query);

    Submission findByExerciseAndUser(long exerciseId, long userId);

    int getCurrentAttempts(Task task, Exercise exercise, User user);
}
