package de.hsrm.sls.subato.attendances.attendance;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.NOT_FOUND, reason = "Es existiert kein Anwesenheitseintrag für diesen Benutzer und den Termin")
public class AttendanceNotFoundException extends RuntimeException {

    private long userId;
    private long eventId;

    public AttendanceNotFoundException(long userId, long eventId) {
        this.userId = userId;
        this.eventId = eventId;
    }
}
