package de.hsrm.sls.subato.courses.course;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Der Kurs existiert nicht.")
public class CourseNotFoundException extends RuntimeException {

    private long id;

    public CourseNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "courseId = %s".formatted(id);
    }
}