package de.hsrm.sls.subato.courses.course.dto;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.modules.progmodule.ProgramModuleMapper;
import de.hsrm.sls.subato.modules.term.TermMapper;
import de.hsrm.sls.subato.user.dto.UserMapper;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring", uses = {TermMapper.class, UserMapper.class,
    ProgramModuleMapper.class})
public interface CourseMapper {

    CourseDto mapDetail(Course course);

    CourseSummaryDto mapSummary(Course course);
}
