package de.hsrm.sls.subato.courses.course.usecase;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.course.repository.CourseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FinishCourseUseCase {

    @Autowired
    private CourseRepository courseRepository;

    public Course updateFinished(Course course, boolean finish) {
        course.setFinished(finish);
        return courseRepository.save(course);
    }
}
