package de.hsrm.sls.subato.courses.course.usecase;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.shared.markdown.MarkdownParser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GetCourseDescriptionUseCase {

    @Autowired
    private MarkdownParser markdownParser;

    public String getDescription(Course course, boolean raw) {
        return raw ? course.getDescription()
            : markdownParser.convertToHtml(course.getDescription());
    }
}
