package de.hsrm.sls.subato.courses.file;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Datei existiert nicht.")
public class CourseFileNotFoundException extends RuntimeException {

    private long id;

    public CourseFileNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}