package de.hsrm.sls.subato.courses.result.model;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import java.util.ArrayList;
import java.util.List;

public class ExerciseResult {

    private Exercise exercise;
    private List<TaskInstance> taskInstances;
    private int testsPassed;
    private int testsTotal;
    private int styleErrorsTotal;
    private int leaksTotal;
    private Submission submission;
    private List<Solution> solutions = new ArrayList<>();

    public Exercise getExercise() {
        return exercise;
    }

    public void setExercise(Exercise exercise) {
        this.exercise = exercise;
    }

    public int getTestsPassed() {
        return testsPassed;
    }

    public void setTestsPassed(int testsPassed) {
        this.testsPassed = testsPassed;
    }

    public int getTestsTotal() {
        return testsTotal;
    }

    public void setTestsTotal(int testsTotal) {
        this.testsTotal = testsTotal;
    }

    public int getStyleErrorsTotal() {
        return styleErrorsTotal;
    }

    public void setStyleErrorsTotal(int styleErrorsTotal) {
        this.styleErrorsTotal = styleErrorsTotal;
    }

    public int getLeaksTotal() {
        return leaksTotal;
    }

    public void setLeaksTotal(int leaksTotal) {
        this.leaksTotal = leaksTotal;
    }

    public Submission getSubmission() {
        return submission;
    }

    public void setSubmission(Submission submission) {
        this.submission = submission;
    }

    public List<Solution> getSolutions() {
        return solutions;
    }

    public void setSolutions(List<Solution> solutions) {
        this.solutions = solutions;
    }

    public List<TaskInstance> getTaskInstances() {
        return taskInstances;
    }

    public void setTaskInstances(List<TaskInstance> taskInstances) {
        this.taskInstances = taskInstances;
    }
}
