package de.hsrm.sls.subato.courses.unit.dto;

import de.hsrm.sls.subato.courses.course.dto.CourseSummaryDto;
import de.hsrm.sls.subato.courses.event.dto.CourseUnitEventDefinitionDto;
import de.hsrm.sls.subato.courses.unit.model.CourseUnitType;
import de.hsrm.sls.subato.user.dto.UserSummaryDto;
import java.util.List;

public class CourseUnitDto {

    private long id;
    private String name;
    private String fullName;
    private String shortName;
    private CourseUnitType type;
    private CourseSummaryDto course;
    private List<CourseUnitEventDefinitionDto> eventDefinitions;
    private List<UserSummaryDto> lecturers;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public CourseUnitType getType() {
        return type;
    }

    public void setType(CourseUnitType type) {
        this.type = type;
    }

    public List<CourseUnitEventDefinitionDto> getEventDefinitions() {
        return eventDefinitions;
    }

    public void setEventDefinitions(List<CourseUnitEventDefinitionDto> eventDefinitions) {
        this.eventDefinitions = eventDefinitions;
    }

    public List<UserSummaryDto> getLecturers() {
        return lecturers;
    }

    public void setLecturers(List<UserSummaryDto> lecturers) {
        this.lecturers = lecturers;
    }

    public CourseSummaryDto getCourse() {
        return course;
    }

    public void setCourse(CourseSummaryDto course) {
        this.course = course;
    }

    public String getFullName() {
        return fullName;
    }

    public CourseUnitDto setFullName(String fullName) {
        this.fullName = fullName;
        return this;
    }

    public String getShortName() {
        return shortName;
    }

    public CourseUnitDto setShortName(String shortName) {
        this.shortName = shortName;
        return this;
    }
}
