package de.hsrm.sls.subato.exercises.exercise;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Übung existiert nicht")
public class ExerciseNotFoundException extends RuntimeException {

    private long id;

    public ExerciseNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}