package de.hsrm.sls.subato.exercises.exercise.dto;

import de.hsrm.sls.subato.exercises.exercise.model.AssessmentMode;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class CreateExerciseDto {

    public static class CreateTaskInstanceDto {

        private long taskId;
        private Integer reachablePoints;
        private int orderNumber;

        public long getTaskId() {
            return taskId;
        }

        public Integer getReachablePoints() {
            return reachablePoints;
        }

        public int getOrderNumber() {
            return orderNumber;
        }
    }

    private long courseId;
    private String description;
    private String summary;
    private String name;
    private AssessmentMode assessmentMode;
    private LocalDateTime dueTo;
    private LocalDateTime visibleFrom;
    private List<CreateTaskInstanceDto> taskInstances = new ArrayList<>();
    private int orderNumber;

    public CreateExerciseDto() {
    }

    public long getCourseId() {
        return courseId;
    }

    public void setCourseId(long courseId) {
        this.courseId = courseId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public LocalDateTime getDueTo() {
        return dueTo;
    }

    public void setDueTo(LocalDateTime dueTo) {
        this.dueTo = dueTo;
    }

    public AssessmentMode getAssessmentMode() {
        return assessmentMode;
    }

    public void setAssessmentMode(AssessmentMode assessmentMode) {
        this.assessmentMode = assessmentMode;
    }

    public List<CreateTaskInstanceDto> getTaskInstances() {
        return taskInstances;
    }

    public LocalDateTime getVisibleFrom() {
        return visibleFrom;
    }

    public void setVisibleFrom(LocalDateTime visibleFrom) {
        this.visibleFrom = visibleFrom;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public int getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(int orderNumber) {
        this.orderNumber = orderNumber;
    }
}
