package de.hsrm.sls.subato.exercises.taskinstance.dto;

import de.hsrm.sls.subato.exercises.exercise.dto.ExerciseMapper;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import de.hsrm.sls.subato.tasks.task.dto.TaskMapper;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring", uses = {TaskMapper.class, ExerciseMapper.class})
public interface TaskInstanceMapper {

    TaskInstanceDetailDto mapDetail(TaskInstance task);

    TaskInstanceSummaryDto mapSummary(TaskInstance task);
}
