package de.hsrm.sls.subato.modules.term;

import de.hsrm.sls.subato.courses.course.repository.CourseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FinishTermUseCase {

    @Autowired
    private CourseRepository courseRepository;

    public void finish(Term term) {
        var courses = term.getCourses();
        for (var course : courses) {
            course.setFinished(true);
            courseRepository.save(course);
        }
    }
}
