package de.hsrm.sls.subato.seed.logic.course;

import de.hsrm.sls.subato.courses.unit.model.CourseUnitType;
import java.util.ArrayList;
import java.util.List;

public class CourseUnitSeed {

    private String name;
    private CourseUnitType type;
    private List<String> lecturers = new ArrayList<>();
    private List<String> participants = new ArrayList<>();
    private List<CourseEventDefinitionSeed> eventDefinitions = new ArrayList<>();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public CourseUnitType getType() {
        return type;
    }

    public void setType(CourseUnitType type) {
        this.type = type;
    }

    public List<String> getLecturers() {
        return lecturers;
    }

    public void setLecturers(List<String> lecturers) {
        this.lecturers = lecturers;
    }

    public List<CourseEventDefinitionSeed> getEventDefinitions() {
        return eventDefinitions;
    }

    public void setEventDefinitions(
        List<CourseEventDefinitionSeed> eventDefinitions) {
        this.eventDefinitions = eventDefinitions;
    }

    public List<String> getParticipants() {
        return participants;
    }

    public void setParticipants(List<String> participants) {
        this.participants = participants;
    }
}
