package de.hsrm.sls.subato.solutions.comment;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Der Kommentar existiert nicht.")
public class SolutionCommentNotFoundException extends RuntimeException {

    private long id;

    public SolutionCommentNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}