package de.hsrm.sls.subato.solutions.evaluation;

import de.hsrm.sls.subato.solutions.solution.model.Solution;
import org.springframework.context.ApplicationEvent;

public class EvalResultChangedEvent extends ApplicationEvent {

    private Solution solution;
    private TestMode affectedMode;

    public EvalResultChangedEvent(Object source, Solution solution, TestMode affectedMode) {
        super(source);
        this.solution = solution;
        this.affectedMode = affectedMode;
    }

    public Solution getSolution() {
        return solution;
    }

    public TestMode getAffectedMode() {
        return affectedMode;
    }
}
