package de.hsrm.sls.subato.solutions.evaluation.bulk;

import de.hsrm.sls.subato.solutions.submit.SolutionSubmittedEvent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
class SolutionSubmittedListener implements
    ApplicationListener<SolutionSubmittedEvent> {

    @Autowired
    BulkEvalManager bulkEvalManager;

    @Override
    public void onApplicationEvent(SolutionSubmittedEvent event) {
        bulkEvalManager.notifyChanged(event.getSolution(), null);
    }
}