package de.hsrm.sls.subato.solutions.evaluation.bulk.task;

import de.hsrm.sls.subato.solutions.evaluation.bulk.BulkEvalHandler;
import de.hsrm.sls.subato.solutions.evaluation.bulk.BulkEvalOptions;
import de.hsrm.sls.subato.solutions.evaluation.bulk.state.BulkEvalState;
import de.hsrm.sls.subato.solutions.evaluation.usecase.EvalSolutionUseCase;
import de.hsrm.sls.subato.solutions.solution.repository.SolutionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BulkEvalTaskFactory {

    @Autowired
    private EvalSolutionUseCase evalSolutionUseCase;

    @Autowired
    private BulkEvalHandler handler;

    @Autowired
    private SolutionRepository solutionRepository;

    public BulkEvalTask createTask(BulkEvalState state, BulkEvalOptions options) {
        return new BulkEvalTask(state, options, evalSolutionUseCase, handler, solutionRepository);
    }
}
