package de.hsrm.sls.subato.solutions.evaluation.registry;

import de.hsrm.sls.subato.tasks.imp.PreTaskImportEvent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
class PreTaskImportListener implements ApplicationListener<PreTaskImportEvent> {

    @Autowired
    EvaRegistry evaRegistry;

    @Override
    public void onApplicationEvent(PreTaskImportEvent event) {
        evaRegistry.resetCache();
    }
}