package de.hsrm.sls.subato.solutions.evaluation.request;

import de.hsrm.sls.subato.shared.fs.FileTree;
import de.hsrm.sls.subato.solutions.evaluation.EvalOptions;
import de.hsrm.sls.subato.tasks.stef.spec.FileRef;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class EvalRequest {

    FileTree codeFile;
    FileRef templateFile;
    List<FileRef> filesToTransmit = new ArrayList<>();
    Map<String, String> params = new HashMap<>();
    EvalOptions options;

    public FileTree getCodeFile() {
        return codeFile;
    }

    public void setCodeFile(FileTree codeFile) {
        this.codeFile = codeFile;
    }

    public FileRef getTemplateFile() {
        return templateFile;
    }

    public void setTemplateFile(FileRef templateFile) {
        this.templateFile = templateFile;
    }

    public List<FileRef> getFilesToTransmit() {
        return filesToTransmit;
    }

    public void setFilesToTransmit(List<FileRef> filesToTransmit) {
        this.filesToTransmit = filesToTransmit;
    }

    public EvalOptions getOptions() {
        return options;
    }

    public void setOptions(EvalOptions options) {
        this.options = options;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }
}
