package de.hsrm.sls.subato.solutions.evaluation.usecase;

import de.hsrm.sls.subato.solutions.evaluation.registry.EvaRegistry;
import de.hsrm.sls.subato.solutions.evaluation.registry.EvaluationStack;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ResolveEvaluatorUseCase {

    @Autowired
    EvaRegistry evaRegistry;

    public EvaluationStack resolveReference(String reference) {
        return evaRegistry.get(reference);
    }
}
