package de.hsrm.sls.subato.tasks.lang;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Sprache existiert nicht")
public class LanguageNotFoundException extends RuntimeException {

    private String id;

    public LanguageNotFoundException(String id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}