package de.hsrm.sls.subato.tasks.pool.dto;

import de.hsrm.sls.subato.tasks.imp.TaskImportResult;

public class CreateTaskPoolResultDto {

    private TaskPoolDto pool;
    private boolean syncFailed;
    private TaskImportResult taskImportResult;

    public CreateTaskPoolResultDto(TaskPoolDto pool, boolean syncFailed,
        TaskImportResult taskImportResult) {
        this.pool = pool;
        this.syncFailed = syncFailed;
        this.taskImportResult = taskImportResult;
    }

    public CreateTaskPoolResultDto(TaskPoolDto pool, boolean syncFailed) {
        this(pool, syncFailed, null);
    }

    public TaskPoolDto getPool() {
        return pool;
    }

    public boolean isSyncFailed() {
        return syncFailed;
    }

    public TaskImportResult getTaskImportResult() {
        return taskImportResult;
    }
}
