package de.hsrm.sls.subato.tasks.pool.repository;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.tasks.imp.log.TaskImportLog;
import de.hsrm.sls.subato.tasks.pool.TaskPool;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.repository.TaskFilter;
import java.util.List;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

interface TaskPoolRepositoryCustom {

    List<TaskPool> getAllWithRepository();

    Page<Task> getTasks(Pageable page, TaskFilter filter);

    List<TaskImportLog> getLogs(TaskPool pool);

    List<Course> getCourses(TaskPool pool);
}
