package de.hsrm.sls.subato.tasks.pool.sync.repository;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.INTERNAL_SERVER_ERROR, reason = "Das dem Aufgaben-Pool zugeordnete Repository konnte nicht gecloned/gepullt werden.")
public class RepositoryException extends RuntimeException {

    public RepositoryException(Throwable cause) {
        super(cause);
    }

}
