package de.hsrm.sls.subato.tasks.stef.spec;

import java.util.ArrayList;
import java.util.List;

public class FileSubmissionMode extends SubmissionMode {

    private boolean allowArchives;
    private boolean extractArchives;
    private List<String> extensions = new ArrayList<>();

    public FileSubmissionMode() {
        super(SubmissionModeType.FILE);
    }

    public boolean isAllowArchives() {
        return allowArchives;
    }

    public void setAllowArchives(boolean allowArchives) {
        this.allowArchives = allowArchives;
    }

    public boolean isExtractArchives() {
        return extractArchives;
    }

    public void setExtractArchives(boolean extractArchives) {
        this.extractArchives = extractArchives;
    }

    public List<String> getExtensions() {
        return extensions;
    }

    public void setExtensions(List<String> extensions) {
        this.extensions = extensions;
    }
}
