package de.hsrm.sls.subato.tasks.task;

import de.hsrm.sls.subato.tasks.task.usecase.VerifyTasksUseCase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@Component
public class VerifyTasksStartupJob {

    @Autowired
    VerifyTasksUseCase verifyTasksUseCase;

    @EventListener(ContextRefreshedEvent.class)
    public void run() {
        verifyTasksUseCase.verifyTasks();
    }
}
