package de.hsrm.sls.subato.tasks.task.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Aufgabe existiert nicht")
public class TaskNotFoundException extends RuntimeException {

    private long id;

    public TaskNotFoundException(long id) {
        this.id = id;
    }

    @Override
    public String getMessage() {
        return "id = %s".formatted(id);
    }
}