package de.hsrm.sls.subato.tasks.task.repository;

import de.hsrm.sls.subato.tasks.task.Task;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface TaskRepository extends JpaRepository<Task, Long>, JpaSpecificationExecutor<Task>,
    TaskRepositoryCustom {

    Task findByTrackingIdAndPoolId(String trackingId, long poolId);

    Optional<Task> findBySourceId(long id);
}