package de.hsrm.sls.subato.tasks.task.usecase;

import de.hsrm.sls.subato.tasks.stef.spec.FileRef;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.exception.TaskArchivedException;
import java.util.List;
import org.springframework.stereotype.Component;

@Component
public class ListFilesUseCase {

    public List<FileRef> getFiles(Task task) {
        if (task.isArchived()) {
            throw new TaskArchivedException();
        }

        return task.getFileRefs();
    }
}
