package de.hsrm.sls.subato.user.repository;

import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import de.hsrm.sls.subato.user.User;
import java.util.List;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

interface UserRepositoryCustom {

    User findByPrincipal(SubatoPrincipal principal);

    List<User> findAll(UserQuery query);

    Page<User> findAll(UserQuery query, Pageable page);
}
