Willkommen bei der Dokumentation der REST-API (*) von Subato.

Viele der Endpunkte erfordern eine Authentifizierung weil die Antwort vom aktuellen Benutzer bzw.
dessen Berechtigungen beeinflusst wird. Auch diese Endpunkte lassen sich testen, indem unten rechts
von diesem Text auf den Button `Authorize` geklickt wird und die HDS-Zugangsdaten bzw. die
Zugangsdaten für die Testaccounts angegeben werden. Bisher funktioniert nur die (OIDC, password)
Option, wobei `client_secret` leer gelassen werden muss. Scopes müssen keine ausgewählt werden. Die
Authentifizierung geht gegen [Keycloak](${KEYCLOAK_URL}).
Anschließend gilt man als authentifiziert (bis man Swagger neu lädt). Der Token (`Bearer eyJ...`)
wird bei Anfragen dann automatisch mitgesendet.

Bitte beachten, dass Clients die Header `Content-Type` und `Accept` auf `application/json` setzen.
Ansonsten liefert die API ggf. HTML-Ausgaben oder reagiert mit Redirects.

(*) naja, nicht wirklich REST aber es klingt besser als nur "HTTP"