package de.hsrm.sls.subato.utils;

import org.springframework.http.HttpMethod;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;

public class MockMvcHelper {

    public static MockHttpServletRequestBuilder getJson(String url) {
        return json(HttpMethod.GET, url);
    }

    public static MockHttpServletRequestBuilder postJson(String url) {
        return json(HttpMethod.POST, url);
    }

    public static MockHttpServletRequestBuilder putJson(String url) {
        return json(HttpMethod.PUT, url);
    }

    public static MockHttpServletRequestBuilder deleteJson(String url) {
        return json(HttpMethod.DELETE, url);
    }

    public static MockHttpServletRequestBuilder json(HttpMethod method, String url) {
        return MockMvcRequestBuilders.request(method, url)
            .contentType(MediaType.APPLICATION_JSON)
            .accept(MediaType.APPLICATION_JSON);
    }
}
