#!/bin/bash

VERSION="$1"

echo $VERSION > VERSION

# SPA
sed -i'' "s/\"version\": \".*\"/\"version\": \"$VERSION\"/g" "subato-web/package.json"
sed -i'' "s/version: '.*'/version: '$VERSION'/g" "subato-web/src/environments/environment.common.ts"

# Spring
sed -i'' "s/version = '.*'/version = '$VERSION-SNAPSHOT'/g" "subato/build.gradle"
sed -i'' "s/API_VERSION = \".*\"/API_VERSION = \"$VERSION\"/g" "subato/src/main/java/de/hsrm/sls/subato/shared/ApiConstants.java"
